{% extends "masterpage.html" %}
{% block content %}
    <div class="container">
      <div class="row">
        <div class="col-lg-12 text-center">


          <div class="card-body">
            <h4 class="card-title">Wallet Generator</h4>
            <p class="card-text">Click on the button below to generate your blockchain wallet</p>
            <input id="g_wallet" type="button" class="btn btn-primary btn-lg" value="Generate Wallet">
          </div>

        </div>
      </div>
    </div>

    <br>

    <div class="container">

        <div class="row">
          <label class="col-sm-2">Public Key:</label>
          <div class="col-sm-10">
            <textarea id="public_key" rows="3" class="form-control" readonly></textarea>
          </div>
        </div>

        <br>

        <div class="row">
          <label class="col-sm-2">Private Key:</label>
          <div class="col-sm-10">
            <textarea id="private_key" rows="3" class="form-control" readonly></textarea>
          </div>
        </div>

        <br>

        <div class="row">
          <label class="col-sm-2">Address:</label>
          <div class="col-sm-10">
            <textarea id="addr" rows="3" class="form-control" readonly></textarea>
          </div>
        </div>

        <br>

        <div class="row" id="warning" style="display:none">
          <div class="col-sm-10">
            <div class="alert alert-danger" role="alert">
              IMPORTANT
              <ul>
                <div>Don't share your private key with anyone!</div>
                <div id="passphare"></div>
              </ul>
            </div>
          </div>
        </div>

    </div>
{% endblock %}